<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:web="http://xmlns.jcp.org/xml/ns/javaee" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd" version="2.4">
  <filter>
    <filter-name>SecurityFilter</filter-name>
    <filter-class>com.asf.security.SecurityFilter</filter-class>
    <init-param>
      <param-name>HashMethod</param-name>
      <param-value>HASH</param-value>
    </init-param>
    <init-param>
      <param-name>IncludedParams</param-name>
      <param-value>process.do;process.accion;process.action;entity.id;process.domicilio.id;process.contacto.id;process.referencia.id;process.cuentaBancaria.id;process.personaVinculada.id;process.idCargoPersona;process.factura.id;process.personaVinculada.id;process.idGarantia;process.accionStr;do,process.idObjetoi</param-value>
    </init-param>
    <init-param>
      <param-name>init</param-name>
      <param-value>com.civitas.cred.timer.LiquidadorTimer</param-value>
    </init-param>
    <init-param>
      <param-name>LiquidadorTask.usr</param-name>
      <param-value>cambioestado</param-value>
    </init-param>
    <init-param>
      <param-name>LiquidadorTask.pass</param-name>
      <param-value>12345678</param-value>
    </init-param>
    <init-param>
      <param-name>LiquidadorTask.runNow</param-name>
      <param-value>false</param-value>
    </init-param>
  </filter>
  <filter>
    <filter-name>ResponseOverrideFilter</filter-name>
    <filter-class>org.displaytag.filter.ResponseOverrideFilter</filter-class>
  </filter>
  <filter>
    <filter-name>JPivotController</filter-name>
    <filter-class>com.tonbeller.wcf.controller.RequestFilter</filter-class>
    <init-param>
      <param-name>indexJSP</param-name>
      <param-value>/testpage.jsp?query=grh</param-value>
    </init-param>
    <init-param>
      <param-name>errorJSP</param-name>
      <param-value>/error.jsp</param-value>
    </init-param>
    <init-param>
      <param-name>busyJSP</param-name>
      <param-value>/busy.jsp</param-value>
    </init-param>
  </filter>
  <filter-mapping>
    <filter-name>SecurityFilter</filter-name>
    <url-pattern>*.jsp</url-pattern>
  </filter-mapping>
  <filter-mapping>
    <filter-name>SecurityFilter</filter-name>
    <url-pattern>*.do</url-pattern>
  </filter-mapping>
  <filter-mapping>
    <filter-name>SecurityFilter</filter-name>
    <url-pattern>*.config</url-pattern>
  </filter-mapping>
  <filter-mapping>
    <filter-name>ResponseOverrideFilter</filter-name>
    <url-pattern>*.do</url-pattern>
  </filter-mapping>
  <filter-mapping>
    <filter-name>ResponseOverrideFilter</filter-name>
    <url-pattern>*.jsp</url-pattern>
  </filter-mapping>
  <filter-mapping>
    <filter-name>JPivotController</filter-name>
    <url-pattern>/testpage.jsp</url-pattern>
  </filter-mapping>
  <filter>
    <filter-name>Nirven.jBPM.Configuration</filter-name>
    <filter-class>com.nirven.jbpm.forms.FormsInitFilter</filter-class>
    <init-param>
      <param-name>nirven.jbpm.cfg.type</param-name>
      <param-value>db</param-value>
    </init-param>
  </filter>
  <servlet>
    <servlet-name>ProgressBar</servlet-name>
    <servlet-class>com.asf.progressbar.ServletProgressBar</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>action</servlet-name>
    <servlet-class>org.apache.struts.action.ActionServlet</servlet-class>
    <init-param>
      <param-name>config</param-name>
      <param-value>/WEB-INF/struts-config.xml</param-value>
    </init-param>
    <init-param>
      <param-name>debug</param-name>
      <param-value>3</param-value>
    </init-param>
    <init-param>
      <param-name>detail</param-name>
      <param-value>3</param-value>
    </init-param>
    <load-on-startup>0</load-on-startup>
  </servlet>
  <servlet>
    <description>This is the description of my J2EE component</description>
    <display-name>This is the display name of my J2EE component</display-name>
    <servlet-name>Progress</servlet-name>
    <servlet-class>com.asf.cred.servlet.Progress</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>XFireServlet</servlet-name>
    <servlet-class>org.codehaus.xfire.transport.http.XFireConfigurableServlet</servlet-class>
    <init-param>
      <param-name>config</param-name>
      <param-value>services.xml</param-value>
    </init-param>
    <load-on-startup>0</load-on-startup>
  </servlet>
  <servlet>
    <servlet-name>ImageServlet</servlet-name>
    <servlet-class>net.sf.jasperreports.j2ee.servlets.ImageServlet</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>DisplayChart</servlet-name>
    <servlet-class>org.jfree.chart.servlet.DisplayChart</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>GetChart</servlet-name>
    <servlet-class>com.tonbeller.jpivot.chart.GetChart</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>Print</servlet-name>
    <servlet-class>com.tonbeller.jpivot.print.PrintServlet</servlet-class>
  </servlet>
  <listener>
    <description>Inicia un thread pool para proceso de informe de deuda</description>
    <display-name>InformeDeudaThreadPoolListener</display-name>
    <listener-class>com.asf.cred.business.InformeDeudaThreadPoolListener</listener-class>
  </listener>
  <servlet-mapping>
    <servlet-name>XFireServlet</servlet-name>
    <url-pattern>/services/*</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>action</servlet-name>
    <url-pattern>*.do</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>Progress</servlet-name>
    <url-pattern>/servlet/Progress</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ImageServlet</servlet-name>
    <url-pattern>/servlets/image</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ProgressBar</servlet-name>
    <url-pattern>/progressbar</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>DisplayChart</servlet-name>
    <url-pattern>/DisplayChart</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>Print</servlet-name>
    <url-pattern>/Print</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>GetChart</servlet-name>
    <url-pattern>/GetChart</url-pattern>
  </servlet-mapping>
  <servlet>
    <servlet-name>Image</servlet-name>
    <servlet-class>com.civitas.servlets.Image</servlet-class>
    <load-on-startup>1</load-on-startup>
  </servlet>
  <servlet-mapping>
    <servlet-name>Image</servlet-name>
    <url-pattern>*.config</url-pattern>
  </servlet-mapping>
  <login-config>
    <auth-method>BASIC</auth-method>
  </login-config>
	<env-entry>
		<env-entry-name>DomainServer</env-entry-name>
		<env-entry-type>java.lang.String</env-entry-type>
		<env-entry-value>ldap://192.168.199.211:389</env-entry-value>
	</env-entry>
	<env-entry>
		<env-entry-name>DomainName</env-entry-name>
		<env-entry-type>java.lang.String</env-entry-type>
        <env-entry-value>domftd</env-entry-value>
	</env-entry>
</web-app>